DIPlib Documentation - ©1995-2015 Quantitative Imaging Group, Delft University of Technology.

# ImageArrayNew

Array allocation function

## SYNOPSIS

dip_Error dip_ImageArrayNew ( array, size, resources )

## FUNCTION

This function allocates the `size` elements of a `dip_ImageArray` and sets the size of the array to `size`.

## ARGUMENTS

Data type | Name | Description
`dip_ImageArray *` | `array` | Array
`dip_int` | `size` | Size
`dip_Resources` | `resources` | Resources tracking structure. See `ResourcesNew`

## SEE ALSO

`ImageArrayNew`, `ImageArrayFree`

`ArrayNew`, `IntegerArrayNew`, `FloatArrayNew`, `ComplexArrayNew`, `BoundaryArrayNew`, `FrameWorkProcessArrayNew`, `DataTypeArrayNew`, `ImageArrayNew`, `BooleanArrayNew`, `VoidPointerArrayNew`, `StringArrayNew`, `CoordinateArrayNew`